package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 设备列对象 t_device_list
 * 
 * @author zhengjie
 * @date 2023-08-30
 */
public class TDeviceList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** fid */
    private Integer fid;

    /** 设备属性 */
    private Integer deviceProper;

    /** 用户ID */
    private Integer userid;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String sfzid;

    /** 手机号 */
    @Excel(name = "手机号")
    private String telno;

    /** 工厂 */
    @Excel(name = "工厂")
    private Integer factory;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private Integer deviceModel;

    /** 设备标识ID */
    @Excel(name = "设备标识ID")
    private String deviceId;

    /** SIM卡号 */
    @Excel(name = "SIM卡号")
    private String simCode;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String serialNumber;

    /** 发放方式 */
    @Excel(name = "发放方式")
    private Integer grantType;

    /** 销售价格 */
    @Excel(name = "销售价格")
    private String price;

    /** 服务费用 */
    @Excel(name = "服务费用")
    private String cost;

    /** 支付方式 */
    @Excel(name = "支付方式")
    private Integer payment;

    /** 是否注册成功 */
    private Integer status;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    private String name;

    /** 联系方式 */
    private String tel_one;

    /** 在线状态 */
    private Integer online_statis;

    /** 设备电量 */
    private Integer electric_quantity;

    /** 最后在线时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date offlinetime;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setDeviceProper(Integer deviceProper) 
    {
        this.deviceProper = deviceProper;
    }

    public Integer getDeviceProper() 
    {
        return deviceProper;
    }
    public void setUserid(Integer userid) 
    {
        this.userid = userid;
    }

    public Integer getUserid() 
    {
        return userid;
    }
    public void setSfzid(String sfzid) 
    {
        this.sfzid = sfzid;
    }

    public String getSfzid() 
    {
        return sfzid;
    }
    public void setTelno(String telno) 
    {
        this.telno = telno;
    }

    public String getTelno() 
    {
        return telno;
    }
    public void setFactory(Integer factory) 
    {
        this.factory = factory;
    }

    public Integer getFactory() 
    {
        return factory;
    }
    public void setDeviceModel(Integer deviceModel) 
    {
        this.deviceModel = deviceModel;
    }

    public Integer getDeviceModel() 
    {
        return deviceModel;
    }
    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }
    public void setSimCode(String simCode) 
    {
        this.simCode = simCode;
    }

    public String getSimCode() 
    {
        return simCode;
    }
    public void setSerialNumber(String serialNumber) 
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber() 
    {
        return serialNumber;
    }
    public void setGrantType(Integer grantType) 
    {
        this.grantType = grantType;
    }

    public Integer getGrantType() 
    {
        return grantType;
    }
    public void setPrice(String price) 
    {
        this.price = price;
    }

    public String getPrice() 
    {
        return price;
    }
    public void setCost(String cost) 
    {
        this.cost = cost;
    }

    public String getCost() 
    {
        return cost;
    }
    public void setPayment(Integer payment) 
    {
        this.payment = payment;
    }

    public Integer getPayment() 
    {
        return payment;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTel_one() {
        return tel_one;
    }

    public void setTel_one(String tel_one) {
        this.tel_one = tel_one;
    }

    public Integer getOnline_statis() {
        return online_statis;
    }

    public void setOnline_statis(Integer online_statis) {
        this.online_statis = online_statis;
    }

    public Integer getElectric_quantity() {
        return electric_quantity;
    }

    public void setElectric_quantity(Integer electric_quantity) {
        this.electric_quantity = electric_quantity;
    }

    public Date getOfflinetime() {
        return offlinetime;
    }

    public void setOfflinetime(Date offlinetime) {
        this.offlinetime = offlinetime;
    }

    public Integer getFid() {
        return fid;
    }

    public void setFid(Integer fid) {
        this.fid = fid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fid", getFid())
            .append("deviceProper", getDeviceProper())
            .append("userid", getUserid())
            .append("sfzid", getSfzid())
            .append("telno", getTelno())
            .append("factory", getFactory())
            .append("deviceModel", getDeviceModel())
            .append("deviceId", getDeviceId())
            .append("simCode", getSimCode())
            .append("serialNumber", getSerialNumber())
            .append("grantType", getGrantType())
            .append("price", getPrice())
            .append("cost", getCost())
            .append("payment", getPayment())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("name", getName())
            .append("tel_one", getTel_one())
            .append("online_statis", getOnline_statis())
            .append("electric_quantity", getElectric_quantity())
            .append("offlinetime", getOfflinetime())
            .toString();
    }
}
